Bug 1421695 (CVE-2017-3733) - CVE-2017-3733 openssl: Encrypt-Then-Mac renegotiation crash
Summary: CVE-2017-3733 openssl: Encrypt-Then-Mac renegotiation crash
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-3733
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-13 13:12 UTC by Martin Prpič
Modified: 2019-09-29 14:07 UTC (History)
2 users (show)

Fixed In Version: openssl 1.1.0e
Doc Type: If docs needed, set a value
Doc Text:
It was found that changing the ciphersuite during a renegotiation of the Encrypt-Then-Mac extension could result in a crash of the OpenSSL server or client.
Clone Of:
Environment:
Last Closed: 2017-02-13 13:14:32 UTC


Attachments (Terms of Use)
CVE-2017-3733 patch (34.65 KB, text/plain)
2017-02-13 13:13 UTC, Martin Prpič
no flags Details

Description Martin Prpič 2017-02-13 13:12:40 UTC
The following flaw was reported by OpenSSL upstream:

During a renegotiation handshake if the Encrypt-Then-Mac (ETM) extension is negotiated where it was not in the original handshake (or vice-versa) then this
can cause OpenSSL to crash (dependant on ciphersuite). Both clients and servers are affected.

The problem was caused by changing the flag indicating whether to use ETM or not immediately on negotiation of ETM, rather than at CCS. Therefore, during a renegotiation, if the ETM state is changing (usually due to a change of ciphersuite), then an error/crash will occur. Due to the fact that there are separate CCS messages for read and write we actually now need two flags to determine whether to use ETM or not.

This issue affects OpenSSL 1.1.0 only, and is fixed in 1.1.0e. This issue does not affect OpenSSL version 1.0.2.

Comment 1 Martin Prpič 2017-02-13 13:12:45 UTC
External References:

https://www.openssl.org/news/secadv/20170216.txt

Comment 2 Martin Prpič 2017-02-13 13:12:47 UTC
Acknowledgments:

Name: the OpenSSL project
Upstream: Joe Orton (Red Hat)

Comment 3 Martin Prpič 2017-02-13 13:13:27 UTC
Created attachment 1249850 [details]
CVE-2017-3733 patch

Comment 4 Andrej Nemec 2017-02-16 13:53:34 UTC
Public via:

https://www.openssl.org/news/vulnerabilities.html


Note You need to log in before you can comment on or make changes to this bug.